Ubuntu

[MASTER] Lucid 2.6.32-16 crashed to login screen - miCopyRegion

Reported by jerrylamos on 2010-03-16
350
This bug affects 51 people
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Fix Released
High
xorg-server (Ubuntu)
High
Chris Halse Rogers
Lucid
High
Bryce Harrington
Maverick
High
Chris Halse Rogers

Bug Description

[Impact]
Firefox usage obviously should never crash X. But in some cases with certain web apps (ala AOL), firefox tries to render certain pixmaps, which causes X to enter a fallback logic branch that references a pixmap pointer which hasn't been set up properly, and X segfaults as a result.

[Development]
The fix has been committed to the main ubuntu-x git branch, which will be used once Maverick Meerkat is open for development, thus this fix will automatically copy over into it.

[Patch]
The fix is an upstream patch which was nominated for the 1.7 branch, but didn't make it in time for freeze.
http://cgit.freedesktop.org/xorg/xserver/commit/?h=server-1.7-nominations&id=2c94da4e22520f4a3e783db06b73251131382868

[Test Case]
1. Load and use AOL mail for anywhere from a few minutes to a few hours.
2. X should not crash with the backtrace listed below.

[Regression Potential]
Negigible. Since this change simply checks for a null pointer prior to dereferencing it, it is not likely to cause any changes for the case where the pointer is defined.

[Original Report]

Was entering data on AOL mail when Lucid crashed and login screen came up.

Jerry

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3b) [0x80e880b]
1: /usr/bin/X (0x8048000+0x61aed) [0x80a9aed]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x1f8410]
3: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x50e000+0xb20f9) [0x5c00f9]
4: /usr/lib/xorg/modules/libexa.so (0xfe4000+0x9490) [0xfed490]
5: /usr/lib/xorg/modules/libexa.so (0xfe4000+0x9558) [0xfed558]
6: /usr/bin/X (miCopyRegion+0x21b) [0x819ac9b]
7: /usr/bin/X (miDoCopy+0x44d) [0x819b1bd]
8: /usr/lib/xorg/modules/libexa.so (0xfe4000+0x7a1a) [0xfeba1a]
9: /usr/bin/X (0x8048000+0xd9e83) [0x8121e83]
10: /usr/bin/X (0x8048000+0x28dd5) [0x8070dd5]
11: /usr/bin/X (0x8048000+0x2a457) [0x8072457]
12: /usr/bin/X (0x8048000+0x1ed3a) [0x8066d3a]
13: /lib/tls/i686/cmov/libc.so.6 (__libc_start_main+0xe6) [0x280bd6]
14: /usr/bin/X (0x8048000+0x1e921) [0x8066921]
Segmentation fault at address 0x6c4

ProblemType: Bug
Architecture: i386
Date: Tue Mar 16 14:40:06 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091214)
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 002: ID 0a81:0205 Chesen Electronics Corp. PS/2 Keyboard+Mouse Adapter
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: IBM 23736U0
Package: xorg 1:7.5+3ubuntu1
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic root=UUID=19c58970-42dc-43e0-bf4f-11e52dbea1d8 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: xorg
Uname: Linux 2.6.32-16-generic i686
dmi.bios.date: 10/13/2005
dmi.bios.vendor: IBM
dmi.bios.version: 1RETDNWW (3.19 )
dmi.board.name: 23736U0
dmi.board.vendor: IBM
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: IBM
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnIBM:bvr1RETDNWW(3.19):bd10/13/2005:svnIBM:pn23736U0:pvrThinkPadT40:rvnIBM:rn23736U0:rvrNotAvailable:cvnIBM:ct10:cvrNotAvailable:
dmi.product.name: 23736U0
dmi.product.version: ThinkPad T40
dmi.sys.vendor: IBM
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-16-generic

[lspci]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500] [1002:4c57]
     Subsystem: IBM Device [1014:0530]

jerrylamos (jerrylamos) wrote :
Bryce Harrington (bryce) on 2010-03-17
affects: xorg (Ubuntu) → xorg-server (Ubuntu)
Bryce Harrington (bryce) on 2010-03-17
tags: added: crash
Changed in xorg-server (Ubuntu):
status: New → Confirmed
Timo Aaltonen (tjaalton) on 2010-03-30
affects: xorg-server (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Timo Aaltonen (tjaalton) wrote :

please don't file it again, thanks.

Bryce Harrington (bryce) on 2010-03-30
description: updated

Forwarding this bug from Ubuntu reporter jerrylamos:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/539772

[Problem]
Several users are reporting an X crash with a backtrace like this one. It seems to happen in relation to firefox usage. This one occurred when using AOL, another sees it when typing 5-6 characters slowly in the firefox search bar.

[Original Description]
Was entering data on AOL mail when Lucid crashed and login screen came up.

Jerry

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3b) [0x80e880b]
1: /usr/bin/X (0x8048000+0x61aed) [0x80a9aed]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x1f8410]
3: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x50e000+0xb20f9) [0x5c00f9]
4: /usr/lib/xorg/modules/libexa.so (0xfe4000+0x9490) [0xfed490]
5: /usr/lib/xorg/modules/libexa.so (0xfe4000+0x9558) [0xfed558]
6: /usr/bin/X (miCopyRegion+0x21b) [0x819ac9b]
7: /usr/bin/X (miDoCopy+0x44d) [0x819b1bd]
8: /usr/lib/xorg/modules/libexa.so (0xfe4000+0x7a1a) [0xfeba1a]
9: /usr/bin/X (0x8048000+0xd9e83) [0x8121e83]
10: /usr/bin/X (0x8048000+0x28dd5) [0x8070dd5]
11: /usr/bin/X (0x8048000+0x2a457) [0x8072457]
12: /usr/bin/X (0x8048000+0x1ed3a) [0x8066d3a]
13: /lib/tls/i686/cmov/libc.so.6 (__libc_start_main+0xe6) [0x280bd6]
14: /usr/bin/X (0x8048000+0x1e921) [0x8066921]
Segmentation fault at address 0x6c4

Architecture: i386
Date: Tue Mar 16 14:40:06 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091214)
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 002: ID 0a81:0205 Chesen Electronics Corp. PS/2 Keyboard+Mouse Adapter
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: IBM 23736U0
Package: xorg 1:7.5+3ubuntu1
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic root=UUID=19c58970-42dc-43e0-bf4f-11e52dbea1d8 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: xorg
Uname: Linux 2.6.32-16-generic i686
dmi.bios.date: 10/13/2005
dmi.bios.vendor: IBM
dmi.bios.version: 1RETDNWW (3.19 )
dmi.board.name: 23736U0
dmi.board.vendor: IBM
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: IBM
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnIBM:bvr1RETDNWW(3.19):bd10/13/2005:svnIBM:pn23736U0:pvrThinkPadT40:rvnIBM:rn23736U0:rvrNotAvailable:cvnIBM:ct10:cvrNotAvailable:
dmi.product.name: 23736U0
dmi.product.version: ThinkPad T40
dmi.sys.vendor: IBM
glxinfo: Error: [Errno 2] No such file or directory
system:
  codename: lucid
 architecture: i686
 kernel: 2.6.32-16-generic

00:00.0 Host bridge [0600]: Intel Corporation 82855PM Processor to I/O Controller [8086:3340] (rev 03)
 Subsystem: IBM Device [1014:0529]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500] [1002:4c57]
 Subsystem: IBM Device [1014:0530]

Created an attachment (id=34552)
Xorg.0.log

Created an attachment (id=34553)
dmesg.txt

Created an attachment (id=34554)
XorgLogOld.txt

Created an attachment (id=34555)
XorgLog.txt

Created an attachment (id=34556)
dmesg

Created an attachment (id=34557)
dmesg #2

Created an attachment (id=34558)
CurrentDmesg.txt

Created an attachment (id=34559)
XorgLogOld.txt

O.K., thanks, won't file it again.

Update, safe upgrade today 30 March and got another failure. This is

Linux version 2.6.32-18-generic (buildd@rothera) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu4) ) #27-Ubuntu SMP Fri Mar 26 19:51:10 UTC 2010

jerrylamos (jerrylamos) wrote :

There is a crash report:
-rw------- 1 jerry jerry 14222762 2010-03-30 09:31 _usr_lib_firefox-3.6_firefox-bin.1000.crash
looks a bit big, won't post it unless someone asks for it.

Thanks, Jerry

Bryce Harrington (bryce) on 2010-03-30
Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Bryce Harrington (bryce) on 2010-03-30
summary: - Lucid 2.6.32-16 crashed to login screen
+ Lucid 2.6.32-16 crashed to login screen - miCopyRegion

I've forwarded this bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=27380 and subscribed you to it. Please follow up with them in case they need further information or wish you to test something.

Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed

A gdb backtrace with debugging symbols for the radeon driver (and preferably the X server as well) would be helpful.

Please collect a full backtrace on this X crash.

I tried extracting the backtrace from your .crash file (which is a difficult trick!) from bug #543725 but it ended up just being a firefox crash, not x.org. Upstream wants a full backtrace on this one.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Triaged → Incomplete
jerrylamos (jerrylamos) wrote :

Bryce, followed the X freeze instructions and installed

Linux version 2.6.33-997-generic (root@zinc) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #201003091338 SMP Tue Mar 9 14:32:16 UTC 2010

will see if that will help on a backtrace if I can ssh in? This is ati so maybe ubuntu-bug xorg might have some useful info? Some of the tools and instructions appear to be intel specific. Is there something for ati equivalent?

Thanks, Jerry

Bryce Harrington (bryce) wrote :

Unfortunately ati doesn't have quite the wealth of tools that -intel does for debugging. What it does have is in the radeontools package. radeontool can be used for r5xx and older cards, and avivotool for r6xx and newer. Those tools essentially give you a GPU dump. I don't know if that's sufficient to debug these issues, but if you collect a GPU dump when it's frozen, and then again when it is not frozen, and include both files, sometimes those give clues.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Wenzhuo Zhang (wenzhuo) wrote :

apport cannot detect the crash, core is not dumped even though "ulimit -c unlimited" is set, and gdb fails to collect a meaningful backtrace. I failed to collect a full backtrace. Please shed some light on it.

When trying to collect a full backtrace, I found that typing in the search bar of firefox can no longer make X crash if compiz is enabled.

jerrylamos (jerrylamos) wrote :

Bryce, radeontool was installed already, so I did a
sudo radeontool regmatch '*' > regdump_good.txt while gdm was running. See attached.

Jerry

jerrylamos (jerrylamos) wrote :

Bryce, shortly thereafter Lucid crashed to a login screen so I did an ssh in and a
sudo radeontool regmatch '*' > regdump_broke.txt see attached

Jerry

jerrylamos (jerrylamos) wrote :

BTW, the linux on the previous two posts was

Linux version 2.6.33-997-generic (root@zinc) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #201003091338 SMP Tue Mar 9 14:32:16 UTC 2010

which seems to crash xorg as often as 2.6.32-19.

compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]

I'm not sure about recognizing drivers, it's the default likely

Module ati: vendor="X.Org Foundation"
 compiled for 1.7.6, module version = 6.12.192
 Module class: X.Org Video Driver
 ABI class: X.Org Video Driver, version 6.0

Jerry

jerrylamos (jerrylamos) wrote :

2 April update, safe-upgrade now lasts maybe 2 minutes with AOL mail before firefox dies, gnome dies, X dies, back to login screen.....

Jerry

Bryce Harrington (bryce) on 2010-04-06
description: updated
Bryce Harrington (bryce) wrote :

It appears upstream still wants to see a full backtrace before they'll look into this issue. See http://wiki.ubuntu.com/X/Backtracing for guidance on how to collect it.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
status: New → Incomplete
jerrylamos (jerrylamos) wrote :

Just downloaded 20100407 daily build, will install and see how to do a backtrace if the failure repeats.

Thanks, Jerry

Bryce Harrington (bryce) on 2010-04-08
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Wenzhuo Zhang (wenzhuo) wrote :

I was not able to get X to core dump, but I found one X crash report in /var/crash. I don't even know if it was caused by the same bug.

I have installed the dbg packages as referred to in https://wiki.ubuntu.com/X/Backtracing. What am I missing?

root@micky:~/report# gdb /usr/bin/X CoreDump
GNU gdb (GDB) 7.1-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/X...(no debugging symbols found)...done.

warning: core file may not match specified executable file.
[New Thread 2609]
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Core was generated by `/usr/bin/X :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-h2ATvw/database -nol'.
Program terminated with signal 11, Segmentation fault.
#0 0x00498fb6 in ?? ()
(gdb) bt f
#0 0x00498fb6 in ?? ()
No symbol table info available.
#1 0x00000000 in ?? ()
No symbol table info available.
(gdb)

Wenzhuo Zhang (wenzhuo) wrote :

apport detected the crash when I was trying to get a full backtrace using gdb. See bug #561433 for the crash report.

Bryce Harrington (bryce) wrote :

Wenzhuo, I can't view 561433, did it get filed as a private bug? Please set it to non-private.

Jerry, btw there should be some directions on the Backtracing page for collecting full backtraces manually using gdb.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Wenzhuo Zhang (wenzhuo) wrote :

According to https://wiki.ubuntu.com/CrashReporting, we should wait for the triaging team to verify that it does not contain any sensitive information. But I don't think it contains much sensitive information that I care about. I am setting it public.

Bryce Harrington (bryce) wrote :

Wenzhuo, unfortunately that didn't capture a usable backtrace.

I think getting the full backtrace manually via gdb is the way to go here. I know it's a pain and a half but I think it'll be the only way to get upstream to look into this issue.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Triaged

Neither apport nor gdb can catch a meaningful backtrace; and apport can
detect the crash only when gdb is attached to the X process. I don't
know why. I've carefully read and followed the instructions provided in
the following X debugging howtos:

http://xorg.freedesktop.org/wiki/Development/Documentation/ServerDebugging
https://wiki.ubuntu.com/X/Backtracing

On 04/16/2010 08:23 AM, Bryce Harrington wrote:
> Changed in: xserver-xorg-video-ati (Ubuntu)
> Status: Incomplete => Triaged
>
>

The reporters say this is all they can get on this bug:

.
Thread 1 (Thread 7382):
#0 0x002b5fb6 in ?? () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#1 0x00000000 in ?? ()
No symbol table info available.

There's a coredump on the downstream bug 561433 if you're interested.

(In reply to comment #11)
> The reporters say this is all they can get on this bug:
>
> .
> Thread 1 (Thread 7382):
> #0 0x002b5fb6 in ?? () from /lib/tls/i686/cmov/libc.so.6
> No symbol table info available.
> #1 0x00000000 in ?? ()
> No symbol table info available.

It doesn't look like that this is caused by same bug. This looks like stack overflow.

But in any case valgrind is the best tool for debugging stack overflows. Running xserver in valgrind and collecting the output to a file would be best way to collect info.

something like:
valgrind X <X params> > /tmp/valgrind.crash.report.txt

Wenzhuo, please give comment directly on the upstream bug report. I've forwarded your backtrace but I think they'll want more.

> something like:
> valgrind X <X params> &> /tmp/valgrind.crash.report.txt

& mark is important missing character from original command.

Created an attachment (id=35173)
valgrind report

I am one of the downstream bug reporter. I just collected valgrind report using the following command:

sudo ls && sudo valgrind Xorg :1.0 &> /tmp/valgrind-X.log & sleep 15; export DISPLAY=:1.0; /etc/X11/Xsession

Looks like it might be related to bug 27510. Has Ubuntu backported EXA changes from 1.8 to 1.7? If not, I can help with backporting the fix from that bug for testing.

Ubuntu has not backported anything significant for EXA from 1.8 so far, so a backport of what fixes you think should be included would be helpful for this bug.

Created an attachment (id=35200)
Backported fix

Does this fix the problem?

Anxiously awaiting test packages from Bryce...

> Anxiously awaiting test packages from Bryce...

Here you go:
  https://edge.launchpad.net/~bryceharrington/+archive/purple/+packages

I've been running the updated X server without crash for about 5 hours already. The problem can no longer be reproduced using my method, i.e. typing in the search bar of Firefox. Fantastic!

Fix pushed to server-1.7-nominations Git branch, thanks for testing.

I just noticed that when the updated X server is running, the Linux kernel issues a lot of error messages like these:

[ 4955.429783] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x0001FEE8)
[ 4955.621867] [drm:radeon_fence_wait] *ERROR* fence(f69361a0:0x0001FEE9) 40ms timeout
[ 4955.621880] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x0001FEE9)
[ 4955.644982] [drm:radeon_fence_wait] *ERROR* fence(f1980c60:0x0001FEEA) 52ms timeout

(In reply to comment #23)
> I just noticed that when the updated X server is running, the Linux kernel
> issues a lot of error messages like these:

And those only appear with the patch? Is there any noticeable negative effect other than the messages?

I just checked the timestamps of the error messages. They were generated when the random screensaver was running (at dinner time). - In order to give the updated X server more test, I purposely enabled the random screensaver. - I don't know if the linux kernel issues the error messages too with the previous version of the X server. It's probably not a side effect of the fix.

(In reply to comment #24)

> And those only appear with the patch? Is there any noticeable negative effect
> other than the messages?

I downgraded to the previous version and confirmed that the Linux kernel also issues these error messages when the random Gnome-screensaver is running on the previous version. I am not sure which specific screensaver is causing this. Anyway, it's a separate problem than this issue.

No noticeable negative side effect. Thanks!

Fix is attached on the fdo bug report, confirmed working, and also commited in the server-1.7-nominations branch for xserver

http://cgit.freedesktop.org/xorg/xserver/commit/?h=server-1.7-nominations&id=2c94da4e22520f4a3e783db06b73251131382868

Changed in xserver-xorg-video-ati (Ubuntu Lucid):
milestone: none → lucid-updates
Bryce Harrington (bryce) wrote :

Committed to ubuntu-x git

Changed in xserver-xorg-video-ati (Ubuntu Lucid):
assignee: nobody → Bryce Harrington (bryceharrington)
status: Triaged → Fix Committed
Bryce Harrington (bryce) wrote :

[Moving to server since the fix is against xorg-server]

affects: xserver-xorg-video-ati (Ubuntu Lucid) → xorg-server (Ubuntu Lucid)
Bryce Harrington (bryce) on 2010-04-28
description: updated
Ben Thornton (smenjas) wrote :

FYI, I'm able to consistently trigger this crash by clicking the NoScript icon in Firefox (which of course requires you to have the NoScript extension installed). It happens instantly, every time. I'm only mentioning this in the hope that this test is easier to perform than the one mentioned in the description.

Thank you Bryce, Jerry, Wenzhuo, and Michel (of freedesktop.org) for all of your work.

*** Bug 27869 has been marked as a duplicate of this bug. ***

I'm affected by this, too, and had reported it as bug #569907.

I now figured out that I can reproduce it like this: open Firefox, use C-k to go to the search box, enter ``flash uml'', X will crash when entering the L.

This bug's status is Fix Committed -- are updated packages available already? Or shall I compile something and test it?

Thomas Schwinge (tschwinge) wrote :

Alright, that's what I needed: sudo add-apt-repository ppa:bryceharrington/purple

Can't reproduce the original crash anymore. Great!

On 05/03/2010 05:32 AM, Thomas Schwinge wrote:
> This bug's status is Fix Committed -- are updated packages available already? Or shall I compile something and test it?
>
>

Updated packages are currently available in Bryce's Personal Package
Archive. You can add it to your sources.list by running the following
command:

sudo add-apt-repository ppa:bryceharrington/purple

and then "apt-get update & apt-get upgrade".

Wenzhuo

this worked for me too, thanks

On Sun, May 2, 2010 at 3:01 PM, Thomas Schwinge <email address hidden>wrote:

> Alright, that's what I needed: sudo add-apt-repository
> ppa:bryceharrington/purple
>
> Can't reproduce the original crash anymore. Great!
>
> --
> Lucid 2.6.32-16 crashed to login screen - miCopyRegion
> https://bugs.launchpad.net/bugs/539772
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Adding the ppa fixed the problem for me, too.

Thanks a lot!

apinunt (apinunt) wrote :

Will the fix be applied by an update soon, or will it have to be applied by adding to the repository and applying it manually?

apinunt (apinunt) wrote :

Still trying to learn if this bug will only be fixed by an upgrade to 10.10 or by applying manually. I'd prefer to not make modifications to the repository list if it can be avoided. If the fix will not be made available through the update process, does that mean it may have other problems?

John Vivirito (gnomefreak) wrote :

Updated Title of bug to use MASTER so it will be easier to locate.

summary: - Lucid 2.6.32-16 crashed to login screen - miCopyRegion
+ [MASTER] Lucid 2.6.32-16 crashed to login screen - miCopyRegion

On Wed, May 12, 2010 at 3:56 AM, apinunt <email address hidden> wrote:
>
> Still trying to learn if this bug will only be fixed by an upgrade to
> 10.10 or by applying manually. I'd prefer to not make modifications to
> the repository list if it can be avoided. If the fix will not be made
> available through the update process, does that mean it may have other
> problems?

Fixes that *are* made through the update process can still have other
problems. ;-)

At first glance I can see no modification of my sources.list, rather a
file was created in the sources.list.d:

/etc/apt/sources.list.d/bryceharrington-purple-lucid.list

'sudo mv /etc/apt/sources.list.d/bryceharrington-purple-lucid.list
/etc/apt/sources.list.d/bryceharrington-purple-lucid.list.txt'

The above should make the ppa archive temporarily invisible to apt /
aptitude / Synaptic Package Manager / ...

apinunt (apinunt) wrote :

Attempting the "sudo add-apt-repository ppa:bryceharrington/purple" command, I receive the following error each time I try:

gpg: requesting key B....... from hkp server keyserver.ubuntu.com
gpg: keyserver timed out
gpg: keyserver receive failed: keyserver error

apinunt (apinunt) wrote :

Okay, after about 6 tries it got the key, and I ran the second command, "apt-get update & apt-get upgrade", rebooted the system, logged in, and opened Firefox, typed a few characters in the search field, and was taken to the login screen as before.

apinunt (apinunt) wrote :

Looking further, at System-Admin-Update Manager, I see "Other updates (LP-PPA-bryceharrington-purple)" are available.
Two updates were shown, xserver-common (Size 80 KB) and xserver-xorg-core (Size 2.0 MB) so I applied them and rebooted, and so far it appears to have eliminated the problem of crashing to the login screen. The other anomalies are minor and cosmetic so I'll live with them.

On Thu, May 13, 2010 at 6:13 AM, apinunt <email address hidden> wrote:
> Looking further, at System-Admin-Update Manager, I see "Other updates (LP-PPA-bryceharrington-purple)" are available.
> Two updates were shown, xserver-common (Size 80 KB) and xserver-xorg-core (Size 2.0 MB) so I applied them and rebooted, and so far it appears to have eliminated the problem of crashing to the login screen. The other anomalies are minor and cosmetic so I'll live with them.

Sounds like you're patched! :-)

I just installed the final release of Kubuntu 10.04 LTS, experienced
the problem, applied the patch, and it does just fine. While this is
definitely an issue that is cross-platform (hardware: gpu: ati radeon
and nVidia nouveau; software: gnome, xfce, kde), and it happens on
install and on liveCD, my newer laptop (2008 vintage) does not appear
to have this problem (ati/kde/live).

Claudia (bioclyde-gmail) wrote :

Looks like the patch is working on my PC. This is what I typed into the terminal and the results:

claudia@claudia-desktop:~$ sudo add-apt-repository ppa:bryceharrington/purple
[sudo] password for claudia:
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv 510DE9AC846B40EB94EDB3AEFBB49579B75FECB0
gpg: requesting key B75FECB0 from hkp server keyserver.ubuntu.com
gpg: key B75FECB0: public key "Launchpad PPA for Bryce Harrington" imported
gpg: Total number processed: 1
gpg: imported: 1 (RSA: 1)
claudia@claudia-desktop:~$

I then went into the update manager and applied the patch. So far nothing has crashed(keeping my fingers crossed)!

Thanks for this! Ubuntu has NEVER given me such problems before, Windows does all the time!!

I was having similar problem but caused by random mouse hover overs rather than text entry. Will see if it happens again after applying this patch.

Felix Krohn (felix-kro) wrote :

the update from ppa fixed it for me.
before that the crash was 100% reproducible by hitting the "edit" button on a flickr picture. It lead to an instantaneous crash. Big thanks!

*** Bug 28262 has been marked as a duplicate of this bug. ***

The ppa repository addition seems to have solved it for me as well.

ceg (ceg) wrote :

Please get the PPA fix for this crash bug into the lucid release.

boblinux (robert-grasso) wrote :

This patch fixed two similar issues to me :

- from v10.04 on x86_64, connected into an xterm in ssh onto a v10.04 on i686 : changing to *some* directories, or moving *some* files on the i686 computer lead to an X crash on the x86_64 box;

- running konqueror on the x86_64 box, I wanted to rename a file from a remote directory mounted through NFS : hitting <Enter> in order to have the file renamed triggered the crash.

It seems that this patch fixed everything !

Well done !

BTW : as a not-so-young Unix sysadmin, I am a bit disappointed that such a basic bug can happen in the Unix world. But fortunately what seems to be a sufficient fix was delivered quickly. Thanks.

Accepted xorg-server into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
jerrylamos (jerrylamos) wrote :

Martin, I think the lucid-proposed is installed?

linux version 2.6.32-22-generic (buildd@rothera) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010

ii xserver-xorg-video-intel 2:2.9.1-3ubuntu5 X.Org X server -- Intel i8xx, i9xx display d

Boots and runs with quiet, splash and no xorg.conf. I don't know how long it will run O.K. since it's late.

BTW, maverick 2.6.34-5 boots and runs on i845G as installed from CD, with default xserver and quiet, splash.

Maverick updates to 2.6.35-1 and 2.6.35-2 boot to black screen too late now to try to get some info from ssh if possible. If I'm able to get some info I'll check launchpad for other reports and if not enter a bug.

Thanks, Jerry

ceg (ceg) wrote :

Proposed package seems to work fine here, didn't crash again.

Martin Pitt (pitti) on 2010-06-14
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.7.6-2ubuntu7.1

---------------
xorg-server (2:1.7.6-2ubuntu7.1) lucid-proposed; urgency=low

  [Bryce Harrington]
  * Add 123_exa_sys_ptr_nullpointer_check.patch: Patch from upstream to
    verify a pointer is not NULL before dereferencing it. Fixes X
    segfault in miCopyRegion which occurs while using firefox (e.g. typing
    into fields in AOL). Issue found by Jerry Lamos.
    (LP: #539772)
  * Add 19-exa-handle-pixmap-create-destroy-in-lower-layers.diff: Patch
    from Debian to fix X segfault on mouse click in xfig, when pixmaps
    are created in the course of software fallbacks.
    (LP: #553647)
  * debian/rules: Don't reference the package uploader for support; instead point
    users to the standard Ubuntu support page.
    (LP: #589811)

  [Martin Pitt]
  * debian/local/64-xorg-xkb.rules: Ignore XKBMODEL=="SKIP" and
    XKBVARIANT=="U.S. English", which happen to get into
    /etc/default/console-setup in some cases like the VMWare automatic
    installer.
    (LP: #548891)

  [ Christopher James Halse Rogers ]
  * Update 122_xext_fix_card32_overflow_in_xauth.patch to most recent version
    on patchwork tracker. This one actually fixes the crash with xauth
    generate (LP: #519049)
 -- Christopher James Halse Rogers <email address hidden> Mon, 07 Jun 2010 12:56:54 +1000

Changed in xorg-server (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Chris, please upload this ASAP to maverick (SRU policy).

Changed in xorg-server (Ubuntu Maverick):
assignee: Bryce Harrington (bryceharrington) → Chris Halse Rogers (raof)
milestone: lucid-updates → maverick-alpha-2
jerrylamos (jerrylamos) wrote :

I can test the fix when it's available on Maverick. Current updated level of Maverick fails on the i845G.

Thanks, Jerry

Chris Halse Rogers (raof) wrote :

The patch we've applied in lucid-proposed was a cherry pick of this commit in git:
commit 7b6517526631a65891b806bca30be8f49955d0a8
Author: Michel Dänzer <email address hidden>
Date: Wed Apr 14 19:28:37 2010 +0200

    EXA: Check sys_ptr isn't NULL before passing it to the UploadToScreen hook.

    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=27510 .

    Signed-off-by: Michel Dänzer <email address hidden>
    Reviewed-by: Alex Deucher <email address hidden>
    Signed-off-by: Keith Packard <email address hidden>

This commit is in Xserver 1.8 and so this bug is fixed in Maverick.

Changed in xorg-server (Ubuntu Maverick):
status: Fix Committed → Fix Released
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
status: Confirmed → Fix Released
Changed in xserver-xorg-driver-ati:
importance: High → Unknown
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.